import { Routes, Route } from 'react-router-dom';
import { AuthContextProvider } from './context/AuthContext';

import HomePage from './pages/Home/HomePage';
import BrowsePage from './pages/Browse/BrowsePage';
import BookDetailPage from './pages/BookDetail/BookDetailPage';
import LoginPage from './pages/Login/LoginPage';
import RegisterPage from './pages/Register/RegisterPage';
import ResetPasswordPage from './pages/ResetPassword/ResetPasswordPage';
import DashboardPage from './pages/Dashboard/DashboardPage';
import NotFound from './pages/NotFound/NotFoundPage';

import PrivateRoute from './components/routes/PrivateRoute';
import PublicRoute from './components/routes/PublicRoute';

const App = () => {
  return (
    <AuthContextProvider>
      <Routes>
        <Route path="/" element={<HomePage />} />
        <Route path="/libros" element={<BrowsePage />} />
        <Route path="/libro/:id" element={<BookDetailPage />} />
        <Route path="/login" element={<PublicRoute><LoginPage /></PublicRoute>} />
        <Route path="/registro" element={<PublicRoute><RegisterPage /></PublicRoute>} />
        <Route path="/restablecer-password" element={<ResetPasswordPage />} />
        <Route path="/dashboard" element={<PrivateRoute><DashboardPage /></PrivateRoute>} />
        <Route path="*" element={<NotFound />} />
      </Routes>
    </AuthContextProvider>
  );
};

export default App;
