import { Link } from 'react-router-dom';

import Favorite from '../../Favorite/Favorite';

import styles from './BookCard.module.css';

const BookCard = ({ id, title, imageUrl, authors }) => {
  return (
    <article className={styles.wrapper}>
      <div className={styles.image}>
        <Link to={`/libro/${id}`}>
          {imageUrl && <img src={imageUrl.smallThumbnail} alt={title} />}
        </Link>
      </div>

      <div>
        <Link to={`/libro/${id}`} className={styles.title}>
          <h3>{title}</h3>
        </Link>
        
        <p className={styles.author}>{authors && authors[0]}</p>

        <Favorite bookId={id} />
      </div>
    </article>
  );
};

export default BookCard;
