import useBooksCategory from '../../../../hooks/useBooksCategory';
import { ThreeDots } from 'react-loading-icons';

import BookCard from '../../../../components/layout/Book/BookCard/BookCard';

import styles from './BookList.module.css';

const BookList = ({ title, category }) => {
  const { loading, books } = useBooksCategory({ category });

  return (
    <section className={styles.wrapper}>
      <h2 className={styles.title}>{title}</h2>

      {loading ? (
        <ThreeDots width="60" fill="currentColor" />
      ) : (
        <ul className={styles.list}>
          {books &&
            books.map((item) => (
              <li key={item.id}>
                <BookCard
                  id={item.id}
                  title={item.volumeInfo.title}
                  imageUrl={item.volumeInfo.imageLinks}
                  authors={item.volumeInfo.authors}
                />
              </li>
            ))}
        </ul>
      )}
    </section>
  );
};

export default BookList;
