import { Link } from 'react-router-dom';

import Favorite from '../../Favorite/Favorite';

import styles from './BookSearch.module.css';

const BookSearch = ({ id, title, imageUrl, authors, description }) => {
  const text = description ? description.substring(0, 200) : '';
  
  return (
    <article className={styles.wrapper}>
      <div className={styles.image}>
        <Link to={`/libro/${id}`}>
          {imageUrl && <img src={imageUrl.thumbnail} alt={title} />}
        </Link>
      </div>

      <div>
        <Link to={`/libro/${id}`} className={styles.title}>
          <h3>{title}</h3>
        </Link>

        <p className={styles.author}>{authors && authors[0]}</p>

        <div className={styles.description}>{text && <p>{text}...</p>}</div>

        <Favorite bookId={id} />
      </div>
    </article>
  );
};
export default BookSearch;
