import { Link } from 'react-router-dom';
import { useAuth } from '../../../context/AuthContext';

import Logo from '../../ui/Logo/Logo';

import styles from './Footer.module.css';

const Footer = () => {
  const { currentUser } = useAuth();

  return (
    <footer className={styles.footer}>
      <div className={styles.footerWrapper}>
        <nav className={styles.footerRight}>
          <ul>
            <li><Link to="/">Inicio</Link></li>
            {currentUser?.email ? (
              <li><Link to="/dashboard">Perfil</Link></li>
            ) : (
              <>
                <li><Link to="/login">Login</Link></li>
                <li><Link to="/registro">Registro</Link></li>
              </>
            )}
          </ul>
        </nav>

        <Logo />
      </div>
    </footer>
  );
};

export default Footer;
