import { Link } from 'react-router-dom';
import categories from '../../../utils/googleBookCategories';

import styles from './HeaderDropdown.module.css';

const HeaderDropdown = () => {
  return (
    <div className={styles.wrapper}>
      <span className={styles.subtitle}>Categorías</span>

      <ul className={styles.list}>
        {categories.map((category) => {
          return (
            <li key={category.name}>
              <Link to={`/libros?q=${category.query}`}>{category.name}</Link>
            </li>
          );
        })}
      </ul>
    </div>
  );
};

export default HeaderDropdown;
