import Header from '../Header/Header';
import Footer from '../Footer/Footer';

import styles from './MainLayout.module.css';

const MainLayout = ({ children, background = false, layoutSize = 'xl' }) => {
  let layoutSizeClass;

  if (layoutSize === 'l') {
    layoutSizeClass = 'containerSizeL';
  } else if (layoutSize === 'm') {
    layoutSizeClass = 'containerSizeM';
  } else if (layoutSize === 's') {
    layoutSizeClass = 'containerSizeS';
  } else {
    layoutSizeClass = 'containerSizeXl';
  }

  return (
    <div
      className={`${background === true ? styles.wrapperBackground : styles.wrapper}`}>
      <Header />
      <main>
        <div className={`${styles.container} ${styles[layoutSizeClass]}`}>{children}</div>
      </main>
      <Footer />
    </div>
  );
};

export default MainLayout;
