import { useState } from 'react';
import { Link } from 'react-router-dom';

import Modal from '../../../ui/Modal/Modal';

import styles from './UserActions.module.css';

const UserActions = () => {
  const [openModal, setOpenModal] = useState(false);

  const modalOpenHandler = () => {
    setOpenModal(true);
  };

  const modalCloseHandler = () => {
    setOpenModal(false);
  };

  return (
    <section className={styles.wrapper}>
      {openModal === true && (
        <Modal>
          <h3 className={styles.modalTitle}>Funcionalidad en desarrollo</h3>
          <p>
            La siguiente funcionalidad se encuentra en desarrollo. Sentimos las
            molestias.
          </p>
          <div className={styles.modalButtons}>
            <button className={styles.btnAction} onClick={modalCloseHandler}>
              Cancelar
            </button>
          </div>
        </Modal>
      )}

      <ul>
        <li>
          <button className={styles.btnAction} onClick={modalOpenHandler}>
            Editar perfil
          </button>
        </li>
        <li>
          <Link to="/restablecer-password" className={styles.btnAction}>
            Restablecer contraseña
          </Link>
        </li>
        <li>
          <button className={styles.btnDelete} onClick={modalOpenHandler}>
            Eliminar cuenta
          </button>
        </li>
      </ul>
    </section>
  );
};

export default UserActions;
