import IconUser from '../../../ui/Icon/IconUser';

import styles from './UserData.module.css';

const userData = ({ user }) => {
  return (
    <section className={styles.wrapper}>
      <div className={styles.image}>
        <IconUser />
      </div>

      <ul className={styles.list}>
        <li>
          <span>Nombre</span> {user.name}
        </li>
        <li>
          <span>Email</span> {user.email}
        </li>
        <li>
          <span>Fecha de creación</span> {user.createdDate ? new Date(user.createdDate.toDate()).toLocaleDateString('es-ES') : null}
        </li>
      </ul>
    </section>
  );
};

export default userData;
