import { useState, useEffect } from 'react';
import getBooksCategory from '../utils/getBooksCategory';

const useBooksCategory = ({ category }) => {
  const [loading, setLoading] = useState(false);
  const [books, setBooks] = useState([]);

  useEffect(() => {
    setLoading(true);

    getBooksCategory({ category: category }).then((books) => {
      setBooks(books);
      setLoading(false);
    });
  }, [category]);

  return { loading, books };
};

export default useBooksCategory;
