import { useState, useEffect } from 'react';
import getSingleBook from '../utils/getSingleBook';

const useSingleBook = ({ id }) => {
  const [loading, setLoading] = useState(false);
  const [book, setBook] = useState(null);

  useEffect(() => {
    if (!book) {
      setLoading(true);

      getSingleBook({ id: id }).then((book) => {
        setBook(book);
        setLoading(false);
      });
    }
  }, [book, id]);

  return { loading, book };
};

export default useSingleBook;
