import { useParams } from 'react-router-dom';
import useSingleBook from '../../hooks/useSingleBook';
import { ThreeDots } from 'react-loading-icons';

import MainLayout from '../../components/layout/MainLayout/MainLayout';
import BookDetail from '../../components/layout/Book/BookDetail/BookDetail';

const BookDetailPage = () => {
  let { id } = useParams();

  const { loading, book } = useSingleBook({ id: id });

  if (loading || !book) {
    return (
      <MainLayout>
        <ThreeDots width="60" fill="currentColor" />
      </MainLayout>
    );
  }

  return (
    <MainLayout>
      <BookDetail bookId={book.id} book={book.volumeInfo} />
    </MainLayout>
  );
};

export default BookDetailPage;
