import { Link } from 'react-router-dom';

import MainLayout from '../../components/layout/MainLayout/MainLayout';
import Title from '../../components/ui/Title/Title';

import styles from './NotFoundPage.module.css';

const NotFound = () => {
  return (
    <MainLayout background={true}>
      <Title text="Page not" highlightText="found" />

      <div className={styles.wrapper}>
        <p>
          Esta no es la página que estabas buscando. La página solicitada no ha
          podido ser encontrada. Es posible que haya caducado o sido eliminada.
        </p>
        <p>
          Si llegaste a esta página de error al escribir una dirección en tu
          navegador web, verifica que la ortografía y las mayúsculas sean
          correctas e intenta volver a cargar la página de nuevo.
        </p>

        <Link to="/" role="button" className={styles.button}>
          Vuelve a la página de Inicio
        </Link>
      </div>
    </MainLayout>
  );
};

export default NotFound;
