import { db } from '../firebase/firebaseConfig';
import { doc, collection, query, where, addDoc, deleteDoc, getDocs } from 'firebase/firestore';

class favoritesDataService {

  addFavorite = (bookId, userId) => {
    return addDoc(collection(db, "userFavorites"), {
      userId: userId,
      bookId: bookId,
      createdAt: new Date()
    });
  };

  deleteFavorite = async (bookId, userId) => {
    const q = query(collection(db, "userFavorites"), where("bookId", "==", bookId), where("userId", "==", userId));
    const querySnapshot = await getDocs(q);
    
    querySnapshot.forEach((docu) => {
      deleteDoc(doc(db, 'userFavorites', docu.id));
    });
  };

  getAllFavorites = async (userId) => {
    const q = query(collection(db, "userFavorites"), where("userId", "==", userId));
    const querySnapshot = await getDocs(q);
    const favorites = [];

    querySnapshot.forEach((docu) => {
      favorites.push(docu.data().bookId);
    });

    return favorites;
  };

  getFavorite = async (bookId, userId) => {
    const q = query(collection(db, "userFavorites"), where("bookId", "==", bookId), where("userId", "==", userId));
    const querySnapshot = await getDocs(q);
    const favorites = [];

    querySnapshot.forEach((docu) => {
      favorites.push(docu.data().bookId);
    });

    return favorites;
  };

}

export default new favoritesDataService();
