const API_URL = 'https://www.googleapis.com/books/v1/volumes';

const getBooks = ({ query, lang = 'es', maxResults = 6, startIndex = 0 }) => {
  const apiURL = `${API_URL}?q=${query}&startIndex=${startIndex}&maxResults=${maxResults}&langRestrict=${lang}&printType=books`;

  return fetch(apiURL)
    .then((res) => res.json())
    .then((result) => {
      const items = {
        items: result.items,
        totalItems: result.totalItems,
      };

      if (items.items === 0) throw new Error('No results found');

      return items;
    });
};

export default getBooks;
